class Enscript < Formula
  desc "Convert text to Postscript, HTML, or RTF, with syntax highlighting"
  homepage "https://www.gnu.org/software/enscript/"
  url "https://ftp.gnu.org/gnu/enscript/enscript-1.6.6.tar.gz"
  mirror "https://ftpmirror.gnu.org/enscript/enscript-1.6.6.tar.gz"
  sha256 "6d56bada6934d055b34b6c90399aa85975e66457ac5bf513427ae7fc77f5c0bb"
  license "GPL-3.0-or-later"
  revision 1
  head "https://git.savannah.gnu.org/git/enscript.git", branch: "master"

  depends_on "gettext"

  conflicts_with "cspice", because: "both install `states` binaries"

  # Fix implicit declarations of strcmp, strncmp, strlen when compiling compat/getopt.c
  # See https://savannah.gnu.org/bugs/?64307
  patch :p0 do
    url "https://raw.githubusercontent.com/macports/macports-ports/a24179380383ebda2ad9209f958ef8dd4ce7354d/print/enscript/files/patch-string_h.diff"
    sha256 "0238849f8b78777b30cf2043d19d866ff722992225926440e925a4e49d3ae5a8"
  end

  def install
    system "./configure", "--disable-debug", "--disable-dependency-tracking",
                          "--prefix=#{prefix}"
    system "make", "install"
  end

  test do
    assert_match "GNU Enscript #{version}", shell_output("#{bin}/enscript -V")

    (testpath/"test.txt").write "Hello world!"
    output = shell_output("#{bin}/enscript test.txt --language=html --output=-")
    assert_match(%r{<[Pp][Rr][Ee]>\s*Hello world!\s*</[Pp][Rr][Ee]>}, output)
  end
end
